cdac.medinfo.model

## Class SocialHistory

- java.lang.Object
- - cdac.medinfo.model.SocialHistory

-     public class SocialHistory
      extends java.lang.Object

  This class specify Social History Section Details. This section contains data defining the patient's occupational, personal (e.g. lifestyle), social, and environmental history and health risk factors, as well as administrative data such as marital status, race, ethnicity and religious affiliation.

  This class has the following attributes:

  1. Social History Element (String)
  2. Description (String)
  3. Effective Dates (EffectiveDateTime)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialHistory()` Constructs an object of Social History.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns the Description of Social History.
    `EffectiveDateTime` | `getEffectiveDates()` Returns the Effective Dates of Social history Element.
    `java.lang.String` | `getSocialHistoryElement()` Returns the Social History Element.
    `void` | `setDescription(java.lang.String description)` Sets the Description of Social History.
    `void` | `setEffectiveDates(EffectiveDateTime effectiveDates)` Sets the Effective Dates of Social history Element.
    `void` | `setSocialHistoryElement(java.lang.String socialHistoryElement)` Sets the Social History Element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocialHistory

          public SocialHistory()

      Constructs an object of Social History.

  - ### Method Detail

    - #### getSocialHistoryElement

          public java.lang.String getSocialHistoryElement()

      Returns the Social History Element.
      Returns:
        the socialHistoryElement

    - #### setSocialHistoryElement

          public void setSocialHistoryElement(java.lang.String socialHistoryElement)

      Sets the Social History Element.
      Parameters:
        `socialHistoryElement` - Specifies the Social History Element.

    - #### getDescription

          public java.lang.String getDescription()

      Returns the Description of Social History.
      Returns:
        the description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets the Description of Social History.
      Parameters:
        `description` - Specifies the Description of Social History.

    - #### getEffectiveDates

          public EffectiveDateTime getEffectiveDates()

      Returns the Effective Dates of Social history Element.
      Returns:
        the effectiveDates

    - #### setEffectiveDates

          public void setEffectiveDates(EffectiveDateTime effectiveDates)

      Sets the Effective Dates of Social history Element.
      Parameters:
        `effectiveDates` - Specifies the Effective Dates of Social history Element.